Page MenuHomePhabricator

Improve ORES test coverage
Closed, ResolvedPublic

Description

This task is done when ores test coverage is more than 75% (it used be around 43%)
https://codecov.io/gh/wikimedia/ores/commits

Some docs on writings tests:

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 16 2018, 8:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Halfak added a subscriber: Halfak.Feb 4 2019, 4:31 PM

I added some notes. Only blocker is a conversation we should have about relative vs. absolute imports. I think we need to have a bigger conversation about other style inconsistencies that are being incorporated into ORES. I'd like to either bite the bullet and switch styles across the board or keep things consistent.

Ladsgroup closed this task as Resolved.Feb 21 2019, 7:18 PM